Name: adzapper
Version: 20090301
Release: 1.1%{dist}
Summary: A redirect script for the Squid proxy to block ads and pop-ups
License: GPL
Group:  Applications/System
Source0: http://adzapper.sourceforge.net/adzap-%{version}.tar.gz
Source1: adzapper-wrapper
Source2: adzapper.logrotate
Source3: adzapper-httpd.conf
Patch1: adzap-daemon-name.patch
Patch2: adzap-logging.patch
Requires: logrotate
Requires: squid
Requires: webconfig-httpd
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
This is a redirector for squid that intercepts advertising (banners, popup 
windows, flash animations, etc), page counters and some web bugs.

%prep
%setup -q -n adzap-%{version}
%patch1 -p1
%patch2 -p1

%install
rm -rf %{buildroot}

install -d -m 0755 %{buildroot}%{_sysconfdir}/logrotate.d
install -d -m 0755 %{buildroot}%{_sbindir}
install -d -m 0755 %{buildroot}/usr/share/adzapper/zaps
install -d -m 0755 %{buildroot}/usr/clearos/webconfig/etc/httpd/conf.d

cp zaps/* %{buildroot}/usr/share/adzapper/zaps/
install -m 0755 scripts/squid_redirect %{buildroot}%{_sbindir}/adzapper_core
install -m 0755 %{SOURCE1} %{buildroot}%{_sbindir}/adzapper
install -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/adzapper
install -m 0644 %{SOURCE3} %{buildroot}/usr/clearos/webconfig/etc/httpd/conf.d/adzapper.conf

%preun
if [ $1 = 0 ]; then
	CHECKSQUID=`grep "^redirect_program[[:space:]]*%{_sbindir}/adzapper" %{_sysconfdir}/squid/squid.conf 2>/dev/null`
	if [ -n "$CHECKSQUID" ]; then
		grep -v ^redirect_program %{_sysconfdir}/squid/squid.conf > %{_sysconfdir}/squid/squid.conf.new
		mv %{_sysconfdir}/squid/squid.conf.new %{_sysconfdir}/squid/squid.conf
	fi
fi

%postun
if [ "$1" -ge "1" ]; then
	service squid reload >/dev/null 2>&1
fi
exit 0

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/logrotate.d/adzapper
%{_sbindir}/adzapper
%{_sbindir}/adzapper_core
/usr/clearos/webconfig/etc/httpd/conf.d/adzapper.conf
%dir /usr/share/adzapper
%dir /usr/share/adzapper/zaps
/usr/share/adzapper/zaps/*
